> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.uniledger.cc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server.

# Update an order's header fields

PUT https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/{id}
Content-Type: application/json

Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/orders/update-order

## Authentication

- `Authorization` header (bearer token, required) — API key prefixed with uk_live_

## Servers

- `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default)
- `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

- `customer_name` (string, optional)
- `customer_email` (string, optional)
- `customer_phone` (string, optional)
- `status` (string, optional)
- `currency_code` (string, optional)

## Response

### 200

Order updated

- `data` (object, optional)
  - `id` (string, optional)
  - `tenant_id` (string, optional)
  - `customer_name` (string, optional, nullable)
  - `customer_email` (string, optional, nullable)
  - `customer_phone` (string, optional, nullable)
  - `status` (enum, optional)
    - Allowed values: `draft`, `confirmed`, `fulfilled`, `cancelled`
  - `currency_code` (string, optional)
  - `subtotal` (double, optional)
  - `tax_total` (double, optional)
  - `grand_total` (double, optional)
  - `source` (string, optional)
  - `sales_order_lines` (list of object, optional)
    - `id` (string, optional)
    - `sales_order_id` (string, optional)
    - `line_no` (integer, optional)
    - `inventory_item_id` (string, optional, nullable)
    - `description` (string, optional, nullable)
    - `quantity` (double, optional)
    - `unit_price` (double, optional)
    - `discount_pct` (double, optional)
    - `tax_pct` (double, optional)
    - `total` (double, optional)
  - `created_at` (datetime, optional)
  - `updated_at` (datetime, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "id": "string",
    "tenant_id": "string",
    "customer_name": "string",
    "customer_email": "string",
    "customer_phone": "string",
    "status": "draft",
    "currency_code": "string",
    "subtotal": 1.1,
    "tax_total": 1.1,
    "grand_total": 1.1,
    "source": "string",
    "sales_order_lines": [
      {
        "id": "string",
        "sales_order_id": "string",
        "line_no": 1,
        "inventory_item_id": "string",
        "description": "string",
        "quantity": 1.1,
        "unit_price": 1.1,
        "discount_pct": 1.1,
        "tax_pct": 1.1,
        "total": 1.1
      }
    ],
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```